package com.ruoyi.szxc.service.impl;

import com.ruoyi.szxc.domain.SzxcJmHouse;
import com.ruoyi.szxc.mapper.SzxcJmHouseMapper;
import com.ruoyi.szxc.service.ISzxcJmHouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 居民房屋关联Service业务层处理
 *
 * @author hs
 * @date 2024-03-30
 */
@Service
public class SzxcJmHouseServiceImpl implements ISzxcJmHouseService
{
    @Autowired
    private SzxcJmHouseMapper szxcJmHouseMapper;

    /**
     * 查询居民房屋关联
     *
     * @param id 居民房屋关联主键
     * @return 居民房屋关联
     */
    @Override
    public SzxcJmHouse selectSzxcJmHouseById(Long id)
    {
        return szxcJmHouseMapper.selectSzxcJmHouseById(id);
    }

    /**
     * 查询居民房屋关联列表
     *
     * @param szxcJmHouse 居民房屋关联
     * @return 居民房屋关联
     */
    @Override
    public List<SzxcJmHouse> selectSzxcJmHouseList(SzxcJmHouse szxcJmHouse)
    {
        return szxcJmHouseMapper.selectSzxcJmHouseList(szxcJmHouse);
    }

    /**
     * 新增居民房屋关联
     *
     * @param szxcJmHouse 居民房屋关联
     * @return 结果
     */
    @Override
    public int insertSzxcJmHouse(SzxcJmHouse szxcJmHouse)
    {
        return szxcJmHouseMapper.insertSzxcJmHouse(szxcJmHouse);
    }

    /**
     * 修改居民房屋关联
     *
     * @param szxcJmHouse 居民房屋关联
     * @return 结果
     */
    @Override
    public int updateSzxcJmHouse(SzxcJmHouse szxcJmHouse)
    {
        return szxcJmHouseMapper.updateSzxcJmHouse(szxcJmHouse);
    }

    /**
     * 批量删除居民房屋关联
     *
     * @param ids 需要删除的居民房屋关联主键
     * @return 结果
     */
    @Override
    public int deleteSzxcJmHouseByIds(Long[] ids)
    {
        return szxcJmHouseMapper.deleteSzxcJmHouseByIds(ids);
    }

    /**
     * 删除居民房屋关联信息
     *
     * @param id 居民房屋关联主键
     * @return 结果
     */
    @Override
    public int deleteSzxcJmHouseById(Long id)
    {
        return szxcJmHouseMapper.deleteSzxcJmHouseById(id);
    }
}
